View Issue Details

IDProjectCategoryView StatusLast Update
0000221SOGoBackend Generalpublic2009-12-23 16:43
Reporterfoucart Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000221: sogo-tool Ecxeption GSCachedInt(instance) does not recognize _isLDIFSafe
Description

since the 1.1 release with nightly-build, the sogo-tool does not provide any way to filter groups from user and when using the ALL argument, the sogo-tool crash
example :
#sogo-tool backup backupdir ldapgroup
#/usr/GNUstep/System/Tools/Admin/sogo-tool: Uncaught exception NSInvalidArgumentException, reason: GSCachedInt(instance) does not recognize _isLDIFSafe

the ldif of a group is :
dn: cn=Agence-Ouest,ou=accounts,o=oph-besancon.fr,dc=oph-besancon,dc=fr
objectClass: top
objectClass: groupOfNames
objectClass: extensibleObject
cn: Groupe1
mail: agence-ouest@oph-besancon.fr
member: uid=x,ou=accounts,o=oph-besancon.fr,dc=oph-besancon,dc=fr
member: uid=y,ou=accounts,o=oph-besancon.fr,dc=oph-besancon,dc=fr
member: uid=z,ou=accounts,o=oph-besancon.fr,dc=oph-besancon,dc=fr
member: uid=zz,ou=accounts,o=oph-besancon.fr,dc=oph-besancon,dc=fr
sn: Groupe1
uid: groupe1

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2009-12-23 11:34

viewer   ~0000377

Can be worked around by creating a category on NSNumber overriding _isLDIFSafe. May not solve the problem of exporting groups though.

ludovic

ludovic

2009-12-23 16:43

administrator   ~0000383

Fixed by: http://mtn.inverse.ca/revision/diff/9b5272463fac61370796a5551a285c8f7d3dd24c/with/fbe3cd1ce788185ea42f3ac4b3238f48a16821ad

Issue History

Date Modified Username Field Change
2009-11-03 10:11 foucart New Issue
2009-12-22 11:58 ludovic Target Version => 1.2.0
2009-12-22 13:45 ludovic Status new => assigned
2009-12-22 13:45 ludovic Assigned To => ludovic
2009-12-23 11:34 wsourdeau Note Added: 0000377
2009-12-23 16:43 ludovic Note Added: 0000383
2009-12-23 16:43 ludovic Status assigned => resolved
2009-12-23 16:43 ludovic Fixed in Version => 1.2.0
2009-12-23 16:43 ludovic Resolution open => fixed